Subject: Re: What's cooking in git.git (Mar 2024, #05; Tue, 19)

From: Junio C Hamano <[email-masked]>
Date: Thu, 21 Mar 2024 06:02:03 -0700

"Brian Lyles" <[email-masked]> writes:

> A strategy that I have seen work well is for any commit making a notable
> change (one that should appear in the release notes) to include an entry
> in a CHANGELOG.NEXT.md file.

While I very much like the idea of distributing the burden of coming
up with an initial draft for an entry in the final release notes, I
am not convinced that the approach to use a single in-tree file
would work well in our distributed development style where the
history is merge-heavy with many topics in flight in parallel.

I can imagine how well the approach for each contributor to give
such a draft entry in the cover letter of their topic would work;
it would be with much less friction compared to a single in-tree
file that will be the source of merge conflicts.